/* settings.c generated by valac 0.45.3, the Vala compiler
 * generated from settings.vala, do not modify */

/* Copyright 2017 Siddhartha Das (bablu.boy@gmail.com)
*
* This file is part of Nutty and is used for persisting
* the state of the window, application data and associated user prefferences
*
* Nutty is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* Nutty is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
* Public License for more details.
*
* You should have received a copy of the GNU General Public License along
* with Nutty. If not, see http://www.gnu.org/licenses/.
*/

#include <granite.h>
#include <glib-object.h>
#include <glib.h>
#include <stdlib.h>
#include <string.h>

#define NUTTY_APP_TYPE_SETTINGS (nutty_app_settings_get_type ())
#define NUTTY_APP_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NUTTY_APP_TYPE_SETTINGS, NuttyAppSettings))
#define NUTTY_APP_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NUTTY_APP_TYPE_SETTINGS, NuttyAppSettingsClass))
#define NUTTY_APP_IS_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NUTTY_APP_TYPE_SETTINGS))
#define NUTTY_APP_IS_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NUTTY_APP_TYPE_SETTINGS))
#define NUTTY_APP_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NUTTY_APP_TYPE_SETTINGS, NuttyAppSettingsClass))

typedef struct _NuttyAppSettings NuttyAppSettings;
typedef struct _NuttyAppSettingsClass NuttyAppSettingsClass;
typedef struct _NuttyAppSettingsPrivate NuttyAppSettingsPrivate;
enum  {
	NUTTY_APP_SETTINGS_0_PROPERTY,
	NUTTY_APP_SETTINGS_WINDOW_WIDTH_PROPERTY,
	NUTTY_APP_SETTINGS_WINDOW_HEIGHT_PROPERTY,
	NUTTY_APP_SETTINGS_POS_X_PROPERTY,
	NUTTY_APP_SETTINGS_POS_Y_PROPERTY,
	NUTTY_APP_SETTINGS_WINDOW_IS_MAXIMIZED_PROPERTY,
	NUTTY_APP_SETTINGS_IS_DEVICE_MONITORING_ENABLED_PROPERTY,
	NUTTY_APP_SETTINGS_DEVICE_MONITORING_SCHEDULED_PROPERTY,
	NUTTY_APP_SETTINGS_LAST_SPEED_TEST_DATE_PROPERTY,
	NUTTY_APP_SETTINGS_LAST_RECORDED_UPLOAD_SPEED_PROPERTY,
	NUTTY_APP_SETTINGS_LAST_RECORDED_DOWNLOAD_SPEED_PROPERTY,
	NUTTY_APP_SETTINGS_NUM_PROPERTIES
};
static GParamSpec* nutty_app_settings_properties[NUTTY_APP_SETTINGS_NUM_PROPERTIES];
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _NuttyAppSettings {
	GraniteServicesSettings parent_instance;
	NuttyAppSettingsPrivate * priv;
};

struct _NuttyAppSettingsClass {
	GraniteServicesSettingsClass parent_class;
};

struct _NuttyAppSettingsPrivate {
	gint _window_width;
	gint _window_height;
	gint _pos_x;
	gint _pos_y;
	gboolean _window_is_maximized;
	gboolean _is_device_monitoring_enabled;
	gint _device_monitoring_scheduled;
	gchar* _last_speed_test_date;
	gchar* _last_recorded_upload_speed;
	gchar* _last_recorded_download_speed;
};

static gint NuttyAppSettings_private_offset;
static gpointer nutty_app_settings_parent_class = NULL;
static NuttyAppSettings* nutty_app_settings_instance;
static NuttyAppSettings* nutty_app_settings_instance = NULL;

GType nutty_app_settings_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (NuttyAppSettings, g_object_unref)
NuttyAppSettings* nutty_app_settings_get_instance (void);
static NuttyAppSettings* nutty_app_settings_new (void);
static NuttyAppSettings* nutty_app_settings_construct (GType object_type);
#define NUTTY_APP_CONSTANTS_app_id "com.github.babluboy.nutty"
gint nutty_app_settings_get_window_width (NuttyAppSettings* self);
void nutty_app_settings_set_window_width (NuttyAppSettings* self,
                                          gint value);
gint nutty_app_settings_get_window_height (NuttyAppSettings* self);
void nutty_app_settings_set_window_height (NuttyAppSettings* self,
                                           gint value);
gint nutty_app_settings_get_pos_x (NuttyAppSettings* self);
void nutty_app_settings_set_pos_x (NuttyAppSettings* self,
                                   gint value);
gint nutty_app_settings_get_pos_y (NuttyAppSettings* self);
void nutty_app_settings_set_pos_y (NuttyAppSettings* self,
                                   gint value);
gboolean nutty_app_settings_get_window_is_maximized (NuttyAppSettings* self);
void nutty_app_settings_set_window_is_maximized (NuttyAppSettings* self,
                                                 gboolean value);
gboolean nutty_app_settings_get_is_device_monitoring_enabled (NuttyAppSettings* self);
void nutty_app_settings_set_is_device_monitoring_enabled (NuttyAppSettings* self,
                                                          gboolean value);
gint nutty_app_settings_get_device_monitoring_scheduled (NuttyAppSettings* self);
void nutty_app_settings_set_device_monitoring_scheduled (NuttyAppSettings* self,
                                                         gint value);
const gchar* nutty_app_settings_get_last_speed_test_date (NuttyAppSettings* self);
void nutty_app_settings_set_last_speed_test_date (NuttyAppSettings* self,
                                                  const gchar* value);
const gchar* nutty_app_settings_get_last_recorded_upload_speed (NuttyAppSettings* self);
void nutty_app_settings_set_last_recorded_upload_speed (NuttyAppSettings* self,
                                                        const gchar* value);
const gchar* nutty_app_settings_get_last_recorded_download_speed (NuttyAppSettings* self);
void nutty_app_settings_set_last_recorded_download_speed (NuttyAppSettings* self,
                                                          const gchar* value);
static void nutty_app_settings_finalize (GObject * obj);
static void _vala_nutty_app_settings_get_property (GObject * object,
                                            guint property_id,
                                            GValue * value,
                                            GParamSpec * pspec);
static void _vala_nutty_app_settings_set_property (GObject * object,
                                            guint property_id,
                                            const GValue * value,
                                            GParamSpec * pspec);

static inline gpointer
nutty_app_settings_get_instance_private (NuttyAppSettings* self)
{
	return G_STRUCT_MEMBER_P (self, NuttyAppSettings_private_offset);
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 38 "../src/settings.vala"
	return self ? g_object_ref (self) : NULL;
#line 142 "settings.c"
}

NuttyAppSettings*
nutty_app_settings_get_instance (void)
{
	NuttyAppSettings* result = NULL;
	NuttyAppSettings* _tmp0_;
	NuttyAppSettings* _tmp2_;
	NuttyAppSettings* _tmp3_;
#line 35 "../src/settings.vala"
	_tmp0_ = nutty_app_settings_instance;
#line 35 "../src/settings.vala"
	if (_tmp0_ == NULL) {
#line 156 "settings.c"
		NuttyAppSettings* _tmp1_;
#line 36 "../src/settings.vala"
		_tmp1_ = nutty_app_settings_new ();
#line 36 "../src/settings.vala"
		_g_object_unref0 (nutty_app_settings_instance);
#line 36 "../src/settings.vala"
		nutty_app_settings_instance = _tmp1_;
#line 164 "settings.c"
	}
#line 38 "../src/settings.vala"
	_tmp2_ = nutty_app_settings_instance;
#line 38 "../src/settings.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 38 "../src/settings.vala"
	result = _tmp3_;
#line 38 "../src/settings.vala"
	return result;
#line 174 "settings.c"
}

static NuttyAppSettings*
nutty_app_settings_construct (GType object_type)
{
	NuttyAppSettings * self = NULL;
#line 42 "../src/settings.vala"
	self = (NuttyAppSettings*) granite_services_settings_construct (object_type, NUTTY_APP_CONSTANTS_app_id);
#line 41 "../src/settings.vala"
	return self;
#line 185 "settings.c"
}

static NuttyAppSettings*
nutty_app_settings_new (void)
{
#line 41 "../src/settings.vala"
	return nutty_app_settings_construct (NUTTY_APP_TYPE_SETTINGS);
#line 193 "settings.c"
}

gint
nutty_app_settings_get_window_width (NuttyAppSettings* self)
{
	gint result;
#line 23 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 23 "../src/settings.vala"
	result = self->priv->_window_width;
#line 23 "../src/settings.vala"
	return result;
#line 206 "settings.c"
}

void
nutty_app_settings_set_window_width (NuttyAppSettings* self,
                                     gint value)
{
#line 23 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 23 "../src/settings.vala"
	if (nutty_app_settings_get_window_width (self) != value) {
#line 23 "../src/settings.vala"
		self->priv->_window_width = value;
#line 23 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_WINDOW_WIDTH_PROPERTY]);
#line 221 "settings.c"
	}
}

gint
nutty_app_settings_get_window_height (NuttyAppSettings* self)
{
	gint result;
#line 24 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 24 "../src/settings.vala"
	result = self->priv->_window_height;
#line 24 "../src/settings.vala"
	return result;
#line 235 "settings.c"
}

void
nutty_app_settings_set_window_height (NuttyAppSettings* self,
                                      gint value)
{
#line 24 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 24 "../src/settings.vala"
	if (nutty_app_settings_get_window_height (self) != value) {
#line 24 "../src/settings.vala"
		self->priv->_window_height = value;
#line 24 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_WINDOW_HEIGHT_PROPERTY]);
#line 250 "settings.c"
	}
}

gint
nutty_app_settings_get_pos_x (NuttyAppSettings* self)
{
	gint result;
#line 25 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 25 "../src/settings.vala"
	result = self->priv->_pos_x;
#line 25 "../src/settings.vala"
	return result;
#line 264 "settings.c"
}

void
nutty_app_settings_set_pos_x (NuttyAppSettings* self,
                              gint value)
{
#line 25 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 25 "../src/settings.vala"
	if (nutty_app_settings_get_pos_x (self) != value) {
#line 25 "../src/settings.vala"
		self->priv->_pos_x = value;
#line 25 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_POS_X_PROPERTY]);
#line 279 "settings.c"
	}
}

gint
nutty_app_settings_get_pos_y (NuttyAppSettings* self)
{
	gint result;
#line 26 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 26 "../src/settings.vala"
	result = self->priv->_pos_y;
#line 26 "../src/settings.vala"
	return result;
#line 293 "settings.c"
}

void
nutty_app_settings_set_pos_y (NuttyAppSettings* self,
                              gint value)
{
#line 26 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 26 "../src/settings.vala"
	if (nutty_app_settings_get_pos_y (self) != value) {
#line 26 "../src/settings.vala"
		self->priv->_pos_y = value;
#line 26 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_POS_Y_PROPERTY]);
#line 308 "settings.c"
	}
}

gboolean
nutty_app_settings_get_window_is_maximized (NuttyAppSettings* self)
{
	gboolean result;
#line 27 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 27 "../src/settings.vala"
	result = self->priv->_window_is_maximized;
#line 27 "../src/settings.vala"
	return result;
#line 322 "settings.c"
}

void
nutty_app_settings_set_window_is_maximized (NuttyAppSettings* self,
                                            gboolean value)
{
#line 27 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 27 "../src/settings.vala"
	if (nutty_app_settings_get_window_is_maximized (self) != value) {
#line 27 "../src/settings.vala"
		self->priv->_window_is_maximized = value;
#line 27 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_WINDOW_IS_MAXIMIZED_PROPERTY]);
#line 337 "settings.c"
	}
}

gboolean
nutty_app_settings_get_is_device_monitoring_enabled (NuttyAppSettings* self)
{
	gboolean result;
#line 28 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 28 "../src/settings.vala"
	result = self->priv->_is_device_monitoring_enabled;
#line 28 "../src/settings.vala"
	return result;
#line 351 "settings.c"
}

void
nutty_app_settings_set_is_device_monitoring_enabled (NuttyAppSettings* self,
                                                     gboolean value)
{
#line 28 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 28 "../src/settings.vala"
	if (nutty_app_settings_get_is_device_monitoring_enabled (self) != value) {
#line 28 "../src/settings.vala"
		self->priv->_is_device_monitoring_enabled = value;
#line 28 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_IS_DEVICE_MONITORING_ENABLED_PROPERTY]);
#line 366 "settings.c"
	}
}

gint
nutty_app_settings_get_device_monitoring_scheduled (NuttyAppSettings* self)
{
	gint result;
#line 29 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 29 "../src/settings.vala"
	result = self->priv->_device_monitoring_scheduled;
#line 29 "../src/settings.vala"
	return result;
#line 380 "settings.c"
}

void
nutty_app_settings_set_device_monitoring_scheduled (NuttyAppSettings* self,
                                                    gint value)
{
#line 29 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 29 "../src/settings.vala"
	if (nutty_app_settings_get_device_monitoring_scheduled (self) != value) {
#line 29 "../src/settings.vala"
		self->priv->_device_monitoring_scheduled = value;
#line 29 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_DEVICE_MONITORING_SCHEDULED_PROPERTY]);
#line 395 "settings.c"
	}
}

const gchar*
nutty_app_settings_get_last_speed_test_date (NuttyAppSettings* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 30 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 30 "../src/settings.vala"
	_tmp0_ = self->priv->_last_speed_test_date;
#line 30 "../src/settings.vala"
	result = _tmp0_;
#line 30 "../src/settings.vala"
	return result;
#line 412 "settings.c"
}

void
nutty_app_settings_set_last_speed_test_date (NuttyAppSettings* self,
                                             const gchar* value)
{
#line 30 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 30 "../src/settings.vala"
	if (g_strcmp0 (value, nutty_app_settings_get_last_speed_test_date (self)) != 0) {
#line 423 "settings.c"
		gchar* _tmp0_;
#line 30 "../src/settings.vala"
		_tmp0_ = g_strdup (value);
#line 30 "../src/settings.vala"
		_g_free0 (self->priv->_last_speed_test_date);
#line 30 "../src/settings.vala"
		self->priv->_last_speed_test_date = _tmp0_;
#line 30 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_LAST_SPEED_TEST_DATE_PROPERTY]);
#line 433 "settings.c"
	}
}

const gchar*
nutty_app_settings_get_last_recorded_upload_speed (NuttyAppSettings* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 31 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "../src/settings.vala"
	_tmp0_ = self->priv->_last_recorded_upload_speed;
#line 31 "../src/settings.vala"
	result = _tmp0_;
#line 31 "../src/settings.vala"
	return result;
#line 450 "settings.c"
}

void
nutty_app_settings_set_last_recorded_upload_speed (NuttyAppSettings* self,
                                                   const gchar* value)
{
#line 31 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 31 "../src/settings.vala"
	if (g_strcmp0 (value, nutty_app_settings_get_last_recorded_upload_speed (self)) != 0) {
#line 461 "settings.c"
		gchar* _tmp0_;
#line 31 "../src/settings.vala"
		_tmp0_ = g_strdup (value);
#line 31 "../src/settings.vala"
		_g_free0 (self->priv->_last_recorded_upload_speed);
#line 31 "../src/settings.vala"
		self->priv->_last_recorded_upload_speed = _tmp0_;
#line 31 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_LAST_RECORDED_UPLOAD_SPEED_PROPERTY]);
#line 471 "settings.c"
	}
}

const gchar*
nutty_app_settings_get_last_recorded_download_speed (NuttyAppSettings* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 32 "../src/settings.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 32 "../src/settings.vala"
	_tmp0_ = self->priv->_last_recorded_download_speed;
#line 32 "../src/settings.vala"
	result = _tmp0_;
#line 32 "../src/settings.vala"
	return result;
#line 488 "settings.c"
}

void
nutty_app_settings_set_last_recorded_download_speed (NuttyAppSettings* self,
                                                     const gchar* value)
{
#line 32 "../src/settings.vala"
	g_return_if_fail (self != NULL);
#line 32 "../src/settings.vala"
	if (g_strcmp0 (value, nutty_app_settings_get_last_recorded_download_speed (self)) != 0) {
#line 499 "settings.c"
		gchar* _tmp0_;
#line 32 "../src/settings.vala"
		_tmp0_ = g_strdup (value);
#line 32 "../src/settings.vala"
		_g_free0 (self->priv->_last_recorded_download_speed);
#line 32 "../src/settings.vala"
		self->priv->_last_recorded_download_speed = _tmp0_;
#line 32 "../src/settings.vala"
		g_object_notify_by_pspec ((GObject *) self, nutty_app_settings_properties[NUTTY_APP_SETTINGS_LAST_RECORDED_DOWNLOAD_SPEED_PROPERTY]);
#line 509 "settings.c"
	}
}

static void
nutty_app_settings_class_init (NuttyAppSettingsClass * klass,
                               gpointer klass_data)
{
#line 20 "../src/settings.vala"
	nutty_app_settings_parent_class = g_type_class_peek_parent (klass);
#line 20 "../src/settings.vala"
	g_type_class_adjust_private_offset (klass, &NuttyAppSettings_private_offset);
#line 20 "../src/settings.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_nutty_app_settings_get_property;
#line 20 "../src/settings.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_nutty_app_settings_set_property;
#line 20 "../src/settings.vala"
	G_OBJECT_CLASS (klass)->finalize = nutty_app_settings_finalize;
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_WINDOW_WIDTH_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_WINDOW_WIDTH_PROPERTY] = g_param_spec_int ("window-width", "window-width", "window-width", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_WINDOW_HEIGHT_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_WINDOW_HEIGHT_PROPERTY] = g_param_spec_int ("window-height", "window-height", "window-height", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_POS_X_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_POS_X_PROPERTY] = g_param_spec_int ("pos-x", "pos-x", "pos-x", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_POS_Y_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_POS_Y_PROPERTY] = g_param_spec_int ("pos-y", "pos-y", "pos-y", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_WINDOW_IS_MAXIMIZED_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_WINDOW_IS_MAXIMIZED_PROPERTY] = g_param_spec_boolean ("window-is-maximized", "window-is-maximized", "window-is-maximized", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_IS_DEVICE_MONITORING_ENABLED_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_IS_DEVICE_MONITORING_ENABLED_PROPERTY] = g_param_spec_boolean ("is-device-monitoring-enabled", "is-device-monitoring-enabled", "is-device-monitoring-enabled", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_DEVICE_MONITORING_SCHEDULED_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_DEVICE_MONITORING_SCHEDULED_PROPERTY] = g_param_spec_int ("device-monitoring-scheduled", "device-monitoring-scheduled", "device-monitoring-scheduled", G_MININT, G_MAXINT, 0, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_LAST_SPEED_TEST_DATE_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_LAST_SPEED_TEST_DATE_PROPERTY] = g_param_spec_string ("last-speed-test-date", "last-speed-test-date", "last-speed-test-date", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_LAST_RECORDED_UPLOAD_SPEED_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_LAST_RECORDED_UPLOAD_SPEED_PROPERTY] = g_param_spec_string ("last-recorded-upload-speed", "last-recorded-upload-speed", "last-recorded-upload-speed", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "../src/settings.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NUTTY_APP_SETTINGS_LAST_RECORDED_DOWNLOAD_SPEED_PROPERTY, nutty_app_settings_properties[NUTTY_APP_SETTINGS_LAST_RECORDED_DOWNLOAD_SPEED_PROPERTY] = g_param_spec_string ("last-recorded-download-speed", "last-recorded-download-speed", "last-recorded-download-speed", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 547 "settings.c"
}

static void
nutty_app_settings_instance_init (NuttyAppSettings * self,
                                  gpointer klass)
{
#line 20 "../src/settings.vala"
	self->priv = nutty_app_settings_get_instance_private (self);
#line 556 "settings.c"
}

static void
nutty_app_settings_finalize (GObject * obj)
{
	NuttyAppSettings * self;
#line 20 "../src/settings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NUTTY_APP_TYPE_SETTINGS, NuttyAppSettings);
#line 30 "../src/settings.vala"
	_g_free0 (self->priv->_last_speed_test_date);
#line 31 "../src/settings.vala"
	_g_free0 (self->priv->_last_recorded_upload_speed);
#line 32 "../src/settings.vala"
	_g_free0 (self->priv->_last_recorded_download_speed);
#line 20 "../src/settings.vala"
	G_OBJECT_CLASS (nutty_app_settings_parent_class)->finalize (obj);
#line 573 "settings.c"
}

GType
nutty_app_settings_get_type (void)
{
	static volatile gsize nutty_app_settings_type_id__volatile = 0;
	if (g_once_init_enter (&nutty_app_settings_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NuttyAppSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) nutty_app_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NuttyAppSettings), 0, (GInstanceInitFunc) nutty_app_settings_instance_init, NULL };
		GType nutty_app_settings_type_id;
		nutty_app_settings_type_id = g_type_register_static (GRANITE_SERVICES_TYPE_SETTINGS, "NuttyAppSettings", &g_define_type_info, 0);
		NuttyAppSettings_private_offset = g_type_add_instance_private (nutty_app_settings_type_id, sizeof (NuttyAppSettingsPrivate));
		g_once_init_leave (&nutty_app_settings_type_id__volatile, nutty_app_settings_type_id);
	}
	return nutty_app_settings_type_id__volatile;
}

static void
_vala_nutty_app_settings_get_property (GObject * object,
                                       guint property_id,
                                       GValue * value,
                                       GParamSpec * pspec)
{
	NuttyAppSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUTTY_APP_TYPE_SETTINGS, NuttyAppSettings);
#line 20 "../src/settings.vala"
	switch (property_id) {
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_WINDOW_WIDTH_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_int (value, nutty_app_settings_get_window_width (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_WINDOW_HEIGHT_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_int (value, nutty_app_settings_get_window_height (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_POS_X_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_int (value, nutty_app_settings_get_pos_x (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_POS_Y_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_int (value, nutty_app_settings_get_pos_y (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_WINDOW_IS_MAXIMIZED_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_boolean (value, nutty_app_settings_get_window_is_maximized (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_IS_DEVICE_MONITORING_ENABLED_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_boolean (value, nutty_app_settings_get_is_device_monitoring_enabled (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_DEVICE_MONITORING_SCHEDULED_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_int (value, nutty_app_settings_get_device_monitoring_scheduled (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_LAST_SPEED_TEST_DATE_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_string (value, nutty_app_settings_get_last_speed_test_date (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_LAST_RECORDED_UPLOAD_SPEED_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_string (value, nutty_app_settings_get_last_recorded_upload_speed (self));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_LAST_RECORDED_DOWNLOAD_SPEED_PROPERTY:
#line 20 "../src/settings.vala"
		g_value_set_string (value, nutty_app_settings_get_last_recorded_download_speed (self));
#line 20 "../src/settings.vala"
		break;
#line 660 "settings.c"
		default:
#line 20 "../src/settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "../src/settings.vala"
		break;
#line 666 "settings.c"
	}
}

static void
_vala_nutty_app_settings_set_property (GObject * object,
                                       guint property_id,
                                       const GValue * value,
                                       GParamSpec * pspec)
{
	NuttyAppSettings * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NUTTY_APP_TYPE_SETTINGS, NuttyAppSettings);
#line 20 "../src/settings.vala"
	switch (property_id) {
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_WINDOW_WIDTH_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_window_width (self, g_value_get_int (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_WINDOW_HEIGHT_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_window_height (self, g_value_get_int (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_POS_X_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_pos_x (self, g_value_get_int (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_POS_Y_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_pos_y (self, g_value_get_int (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_WINDOW_IS_MAXIMIZED_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_window_is_maximized (self, g_value_get_boolean (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_IS_DEVICE_MONITORING_ENABLED_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_is_device_monitoring_enabled (self, g_value_get_boolean (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_DEVICE_MONITORING_SCHEDULED_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_device_monitoring_scheduled (self, g_value_get_int (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_LAST_SPEED_TEST_DATE_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_last_speed_test_date (self, g_value_get_string (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_LAST_RECORDED_UPLOAD_SPEED_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_last_recorded_upload_speed (self, g_value_get_string (value));
#line 20 "../src/settings.vala"
		break;
#line 20 "../src/settings.vala"
		case NUTTY_APP_SETTINGS_LAST_RECORDED_DOWNLOAD_SPEED_PROPERTY:
#line 20 "../src/settings.vala"
		nutty_app_settings_set_last_recorded_download_speed (self, g_value_get_string (value));
#line 20 "../src/settings.vala"
		break;
#line 740 "settings.c"
		default:
#line 20 "../src/settings.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "../src/settings.vala"
		break;
#line 746 "settings.c"
	}
}

